import 'package:flutter/material.dart';
import 'package:mobile_ui/mobile_ui.dart';
import 'ui_spacing.dart';

class Loading extends StatelessWidget {
  final double sizeFlactor;
  final double paddingFlactor;
  final Color? color;
  Loading({this.sizeFlactor = 8, this.paddingFlactor = 1, this.color});
  @override
  Widget build(BuildContext context) {
    return Container(
      padding: EdgeInsets.all(uiSpacing(paddingFlactor)),
      alignment: Alignment.center,
      child: CircularLoading(
        size: uiSpacing(sizeFlactor),
        color: color ?? Theme.of(context).primaryColor,
      ),
    );
  }
}
